Integration with Visual Studio 2005 through 2015

A collection of information about Vault, including solutions to common problems.

Moderator: SourceGear


Posts: 9736
Joined: Tue Dec 16, 2003 1:25 pm
Location: SourceGear
PostPosted: Thu Apr 15, 2010 9:34 am
We know that SourceGear's customers often upgrade their development tools and operating systems to keep up with the new technologies, so we work hard to make sure the latest version of our product is compatible with the latest versions of Visual Studio, SQL Server, and Windows.

Vault 10.0 and Vault Pro 10.0 fully support integration with Visual Studio 2005 through Visual Studio 2015.

For Vault 10 users:

To enable integration, first install Visual Studio.

Next, uninstall and reinstall the Vault 10.x client or run a repair install. The Vault/Fortress Client installer will create the registry keys for Enhanced Client integration within the Visual Studio registry hive. If you're not already on Vault 10.0, we recommend contacting our sales department (sgstore AT sourcegear DOT com).

Now you should see the default source control options in Visual Studio under Tools->Options->Source Control. (You may need to check the box for Show All Settings to see the Source Control settings.) Expand the Source Control node, then click Plugin selection. Select SourceGear Vault Visual Studio Enhanced Client or Source Gear Fortress Visual Studio Enhanced Client.

If you wish to use Classic Client integration, choose that from the drop-down combobox instead of the Enhanced Client integration.


To check if your version of Vault is supported against varying versions of Visual Studio, see the Vault Compatibility Chart - http://www.sourcegear.com/vault/documen ... rt.html#vs

For example, For Vault 4.x or Fortress 1.x Users and Visual Studio 2015:

Enhanced Client integration with Visual Studio 2015 is not supported in Vault 4.x and Fortress 1.x

Classic client integration might work, but we haven't tested Vault 4.x and Fortress 1.x with VS 2015, so it is not officially supported.

Since Visual Studio 2015 was released after Vault 4.1.x/Fortress 1.1.x, the client installer for those versions does not create the 20+ registry keys in the Visual Studio 2010 registry hive required for Vault Enhanced Client integration.

Or, For Vault 3.x users and Visual Studio 2012:

Vault 3.x uses only Classic Client integration. Integration with Visual Studio 2012 may work, but has not been tested and is not supported with Vault 3.x.

We recommend upgrading to the latest version of Vault to take advantage of the newew Visual Studio releases. If you have maintenance, it’s a free upgrade. If you do not have maintenance contact our sales department for upgrade details.
Linda Bauer
SourceGear
Technical Support Manager

Return to Knowledge Base (Vault)

Who is online

Users browsing this forum: No registered users and 3 guests